Subject: Re: State of Idaho
From: "Michael B" <[email-masked]>
To: "Maureen Miller" <[email-masked]>
Date: Mon, 21 Jan 2013 14:17:24 -0500

Hello Maureen.
We do still solicit via phone (not by fax) so we should need that renewed. 
Thank you,
Michael B
LLPS

From: Maureen Miller 
Sent: Monday, January 21, 2013 2:02 PM
To: [email-masked] 
Subject: State of Idaho

Hi Mike,

I am working with Joe on a couple of state notices and have a question for you.  In Idaho they have a telephone solicitation registration.  There is an annual registration fee that needs to be paid.  It would appear that it has not been renewed.  The telephone solicitation registration includes solicitations by fax.  I wanted to verify that you are still soliciting by phone/fax.  If so I will complete the necessary documents to accompany the renewal fee.

Please let me know if you have any questions or concerns.

Regards,

Maureen

Maureen A. Miller, C.P.A.

Hall & Romkema

3495 Coolidge Road

East Lansing, MI 48823

Phone:  (517) 337-8900

Fax: (517) 337-8906